<table class="table table-sm table-responsive mt-4" *ngIf="events && events.length > 0">
  <caption>Zeigt alle angemeldeten Benutzer zum Projekt bzw. der Probenphase</caption>
  <thead>
  <tr class="header date">
    <th class="nonHeader"></th>
    <ng-container *ngFor="let event of events; index as i">
      <th *ngIf="i==0">
        {{event.start | date:'EEEEEE dd.MM.yy'}}
      </th>
      <th *ngIf="i>0 && events[i-1].start.getDate() == event.start.getDate()"></th>
      <th *ngIf="i>0 && events[i-1].start.getDate() != event.start.getDate()">
        {{event.start | date:'EEEEEE dd.MM.yy'}}
      </th>
    </ng-container>
  </tr>
  <tr class="header time">
    <th class="nonHeader"></th>
    <ng-container *ngFor="let event of events">
      <th>
        {{event.start | date:'shortTime'}} - {{event.end | date:'shortTime'}}
      </th>
    </ng-container>
  </tr>
  <tr class="header type">
    <th class="nonHeader"></th>
    <ng-container *ngFor="let event of events">
      <th>
        <span [class]="'badge badge-pill ' + getClass(event.type)">{{ 'event.' + event.type | translate }} </span>
      </th>
    </ng-container>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let user of users">
    <td class="name">
      <span class="d-none d-sm-inline-block pl-1">{{user.firstName}}</span>
      <span class="d-sm-none pl-1">{{user.firstName.slice(0, 1)}}.</span>
      {{user.lastName}}
    </td>
    <ng-container *ngIf="mode == 'attendance'">
      <ng-container  *ngFor="let event of events">
        <td *ngIf="checkUser(user.attendance, event.id) == true" class="bg-success"></td>
        <td *ngIf="checkUser(user.attendance, event.id) == false" class="bg-danger"></td>
        <td *ngIf="checkUser(user.attendance, event.id) == null" class="bg-warning"></td>
      </ng-container>
    </ng-container>
    <ng-container *ngIf="mode == 'announcement'">
      <ng-container *ngFor="let event of events">
        <td *ngIf="checkUser(user.announcements, event.id) == true" class="bg-success"></td>
        <td *ngIf="checkUser(user.announcements, event.id) == false" class="bg-danger"></td>
        <td *ngIf="checkUser(user.announcements, event.id) == null" class="bg-warning"></td>
      </ng-container>
    </ng-container>
  </tr>
  </tbody>
</table>
<div *ngIf="events && events.length == 0">
  <alert type="info">Es sind noch Termine vorhanden.</alert>
</div>